# Generated by Django 3.2.13 on 2022-04-24 14:39

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('relatorios', '0018_totaisstatusorganizacao'),
    ]

    operations = [
        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_totaistipocomunidadeorganizacao;
            CREATE OR REPLACE VIEW relatorios_totaistipocomunidadeorganizacao AS
            SELECT mt.id       AS id,
                   mt.nome,
                   t.organizacao_id,
                   count(t.id) AS qtd_territorios,
                   sum(t.qtde_familias) as qtd_familias
            FROM main_territorio t
                     JOIN main_territorio_tipos_comunidade mttc ON t.id = mttc.territorio_id
                     JOIN main_tipocomunidade mt ON mttc.tipocomunidade_id = mt.id
            WHERE
                t.deleted IS NULL AND
                t.teste is false AND
                t.status_id = 4
            GROUP BY t.organizacao_id, mt.id, mt.nome
            ORDER BY qtd_territorios DESC, t.organizacao_id, mt.id;
            """),
    ]
